@mixin client-awaiting-placement-app-theme($theme) {
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);
  $accent: map-get($theme, accent);

  app-client-awaiting-placement {
    width: 100%;
    padding: 5px;
    overflow-x: hidden;
  }
  .mat-menu-panel.clap-filter-menu {
    min-width: 112px;
    max-width: 420px !important;
    overflow: auto;
    padding: 16px 0px 16px 16px;
    // max-height: calc(100vh - 208px) !important;
    // border-radius: 4px;
    // outline: 0;
    form {
      height: auto !important;
      font-size: 0.9em;
      width: 396px;
      padding: 4px;
    }
  }
  .mat-menu-content:not(:empty) {
    padding-top: 8px;
    padding-bottom: 8px;
    // padding: 16px;
  }

  .client-awaiting-placement {
    margin-top: 10px !important;
    display: flex;
    flex-direction: column;
    padding: 5px;
    background-color: mat-color($primary, 50);

    .cap-main-card {
      display: flex;
      flex-direction: column;
      padding: 0px;
      background-color: mat-color($primary, 50);

      .mat-card-header {
        width: 100%;

        .header-banner {
          display: flex;
          background-color: white;
          border: 2px solid mat-color($primary, 100);
          border-radius: 5px;
          padding: 10px 10px;
          margin-top: 10px;
          margin-bottom: 20px;
          font-size: 0.9em;
        }
        .stat-filters {
          span {
            cursor: pointer;
            display: flex;
            flex: auto;
            margin-right: 15px;
            align-items: flex-end;
          }

          span:hover {
            color: mat-color($accent);
          }
        }
      }

      .mat-card-content {
        .example-small-box {
          display: flex;
          align-items: center;
          justify-content: center;
          background: white;

          .table-filters-header {
            width: 100%;
            background-color: white;
            border: 1px solid #eaf0fb;

            .table-top-icons {
              mat-icon {
                padding: 5px;
              }

              mat-icon:hover {
                cursor: pointer;
                // color: #FF5722;
                color: mat-color($warn);
              }
            }

            // .clap-filter-menu {
            //   display: flex;
            //   // min-width: 460px !important;
            //   padding: 10px !important;
            //   margin: 10px !important;
            //   .age {
            //     width: 200px;
            //   }
            //   .boro {
            //     width: 200px;
            //   }
            // }
            // .clap-filter-form {
            //   font-size: 0.9 em;
            // }
          }

          .example-container {
            width: 100%;
            margin-right: 10px;
            margin-left: 10px;

            .ag-header-cell-text {
              overflow: visible;
              text-overflow: unset;
              white-space: normal;
            }

            .grid-footer {
              line-height: 35px;
              margin: 5px;
              .foot-notes {
                text-align: left;
                // line-height: 35px;

                .color-grade {
                  padding: 10px 30px;
                  margin: 5px;
                  line-height: 30px;
                  background-color: sandybrown;
                  border-radius: 10px;
                }
              }
              .paging-size-header {
                margin-right: 10px;
                select {
                  height: 25px;
                  margin-top: 5px;
                }
              }
            }

            /* cap-coc-icon is the cell renderer(component) created to adjust coc icon inside ag grid cell
              below is the style to fix the icon in place */
            .cap-coc-icon {
              .mat-badge-medium.mat-badge-after .mat-badge-content {
                right: -22px;
              }

              .mat-badge-medium.mat-badge-above .mat-badge-content {
                top: -10px;
              }

              .mat-badge-medium .mat-badge-content {
                width: 24px;
                height: 14px;
                line-height: 12px;
                background-color: #d0d3d4;
                // background: linear-gradient(to right, #F0F3F4, #D7DBDD, #ECF0F1 30%, mat-color($primary, 300) 70%);
                font-size: 0.7em;
                // border: 1px solid;
                border-radius: 10px;
                color: black;
              }
            }

            .cap-info-icon {
              font-size: 1.4em;
              padding-left: 5px;
              padding-top: 5px;
              color: mat-color($primary);
            }
          }
        }
      }
    }
  }
}
